=== debian/changelog ===
ros-melodic-aques-talk (2.1.24-2bionic) bionic; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Sun, 25 Jul 2021 15:00:00 -0000

ros-melodic-aques-talk (2.1.23-2bionic) bionic; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Tue, 20 Jul 2021 15:00:00 -0000

ros-melodic-aques-talk (2.1.22-2bionic) bionic; urgency=high

  * Ignore charactors which AquesTalk2 cannot recognize (#257 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/257>)
    
      * Update README on limitation
      * Delete certain characters when they come at the beginning of a sentence
      * fixed character replacement
      * Update README
      * Support Katakana
      * All charactors except [^a-zA-Z0-9ぁ-んー、。?？] are removed
      * Ignore charactors which AquesTalk2 cannot recognize
      * Add documentation path to README
    
  * add sound_play_topic  and sound_play_node_name argument (#227 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/227>)
  * Add build procedure for aques_talk (#236 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/236>)
  * Replace numbers in text file for aques_talk to speak numbers (#229 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/229>)
    
      * Update README about input limitation
      * Replace alphabet for aques_talk
      * Use regular expression [0-9]+ instead of [0-9][0-9]*
    
  * [aques_talk] catkinie aques_talk package (#224 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/224>)
  * Contributors: Kei Okada, Naoya Yamaguchi, Ayaka Fujii, Koki Amabe

 -- Kei Okada <kei.okada@gmail.com>  Wed, 09 Jun 2021 15:00:00 -0000

ros-melodic-aques-talk (2.1.21-2bionic) bionic; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Tue, 18 Aug 2020 15:00:00 -0000

ros-melodic-aques-talk (2.1.20-2bionic) bionic; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Thu, 06 Aug 2020 15:00:00 -0000

ros-melodic-aques-talk (2.1.19-2bionic) bionic; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Mon, 20 Jul 2020 15:00:00 -0000

ros-melodic-aques-talk (2.1.18-2bionic) bionic; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Sun, 19 Jul 2020 15:00:00 -0000

ros-melodic-aques-talk (2.1.17-2bionic) bionic; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Thu, 16 Apr 2020 12:51:00 -0000

ros-melodic-aques-talk (2.1.16-2bionic) bionic; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Thu, 16 Apr 2020 06:21:00 -0000

ros-melodic-aques-talk (2.1.15-2bionic) bionic; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Wed, 11 Dec 2019 15:00:00 -0000

ros-melodic-aques-talk (2.1.14-2bionic) bionic; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Wed, 20 Nov 2019 15:00:00 -0000

ros-melodic-aques-talk (2.1.13-2bionic) bionic; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Tue, 09 Jul 2019 15:00:00 -0000

ros-melodic-aques-talk (2.1.12-2bionic) bionic; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Fri, 24 May 2019 15:00:00 -0000

ros-melodic-aques-talk (2.1.11-2bionic) bionic; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Tue, 28 Aug 2018 15:00:00 -0000

ros-melodic-aques-talk (2.1.10-2bionic) bionic; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Tue, 24 Apr 2018 15:00:00 -0000

ros-melodic-aques-talk (2.1.9-2bionic) bionic; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Mon, 23 Apr 2018 15:00:00 -0000

ros-melodic-aques-talk (2.1.8-2bionic) bionic; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Mon, 16 Apr 2018 15:00:00 -0000

ros-melodic-aques-talk (2.1.7-2bionic) bionic; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Sun, 08 Apr 2018 15:00:00 -0000

ros-melodic-aques-talk (2.1.6-2bionic) bionic; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Mon, 20 Nov 2017 15:00:00 -0000

ros-melodic-aques-talk (2.1.5-2bionic) bionic; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Sun, 19 Nov 2017 15:00:00 -0000

ros-melodic-aques-talk (2.1.4-2bionic) bionic; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Sat, 15 Jul 2017 15:00:00 -0000

ros-melodic-aques-talk (2.1.3-2bionic) bionic; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Thu, 06 Jul 2017 15:00:00 -0000

ros-melodic-aques-talk (2.1.2-2bionic) bionic; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Wed, 05 Jul 2017 15:00:00 -0000

ros-melodic-aques-talk (2.1.1-2bionic) bionic; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Tue, 04 Jul 2017 15:00:00 -0000

ros-melodic-aques-talk (2.1.0-2bionic) bionic; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Sat, 01 Jul 2017 15:00:00 -0000

ros-melodic-aques-talk (2.0.20-2bionic) bionic; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Mon, 08 May 2017 15:00:00 -0000

ros-melodic-aques-talk (2.0.19-2bionic) bionic; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Tue, 21 Feb 2017 15:00:00 -0000

ros-melodic-aques-talk (2.0.18-2bionic) bionic; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Thu, 27 Oct 2016 15:00:00 -0000

ros-melodic-aques-talk (2.0.17-2bionic) bionic; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Fri, 21 Oct 2016 15:00:00 -0000

ros-melodic-aques-talk (2.0.16-2bionic) bionic; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Sun, 16 Oct 2016 15:00:00 -0000

ros-melodic-aques-talk (2.0.15-2bionic) bionic; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Sat, 15 Oct 2016 15:00:00 -0000

ros-melodic-aques-talk (2.0.14-2bionic) bionic; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Sat, 19 Mar 2016 15:00:00 -0000

ros-melodic-aques-talk (2.0.13-2bionic) bionic; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Mon, 14 Dec 2015 15:00:00 -0000

ros-melodic-aques-talk (2.0.12-2bionic) bionic; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Wed, 25 Nov 2015 15:00:00 -0000

ros-melodic-aques-talk (2.0.11-2bionic) bionic; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Wed, 07 Oct 2015 05:16:00 -0000

ros-melodic-aques-talk (2.0.10-2bionic) bionic; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Wed, 07 Oct 2015 03:47:00 -0000


