=== debian/control ===
Source: ros-melodic-aques-talk
Section: misc
Priority: optional
Maintainer: Kei Okada <kei.okada@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://ros.org/wiki/aques_talk
Standards-Version: 3.9.2

Package: ros-melodic-aques-talk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kakasi, nkf, ros-melodic-sound-play
Description: ROS interface aques_talk demo program
